#!/bin/bash

FILES=""

# Example settings
DENSITY1=4
DENSITY2=8
ROTATE=45
INMIN=0
INMAX=80
WIDTH=1024
HEIGHT=1024
PIXELSIZE=0.15

if [ "X$1" != "X" ]
then
  FILES="-u $DENSITY1 $1"
fi

if [ "X$2" != "X" ]
then
  FILES="$FILES -u $DENSITY2 $2"
fi

xraysim1 -soft -S $INMIN $INMAX 65535 -w $WIDTH -h $HEIGHT -p $PIXELSIZE -R 0 0 $ROTATE $FILES

